/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workproject.entity;

import com.jeeplus.modules.workcontractinfo.entity.WorkContractInfo;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 总项目管理Entity
 * @author liuw
 * @version 2017-11-29
 */
public class WorkProject extends DataEntity<WorkProject> {
	
	private static final long serialVersionUID = 1L;
	private String name;		// 项目名称
	private String number;		// 项目编号
	private WorkContractInfo contractId;		// 合同外键
	private String sort;      //项目分类
	private String companyId;  //公司id
	private String officeId;  //公司id
	private String state;   //项目归档状态（1能归档并处在归档中2或空或null不能归档3已归档）

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public WorkProject() {
		super();
	}

	public WorkProject(String id){
		super(id);
	}

	@ExcelField(title="项目名称", align=2, sort=7)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	@ExcelField(title="项目编号", align=2, sort=8)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="合同外键", align=2, sort=9)
	public WorkContractInfo getContractId() {
		return contractId;
	}

	public void setContractId(WorkContractInfo contractId) {
		this.contractId = contractId;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
}